Bug 807167 - Kernel panic or call trace when hotplugging multiple vcpus
Kernel panic or call trace when hotplugging multiple vcpus
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.3
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Igor Mammedov
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 04:09 EDT by FuXiangChun
Modified: 2012-04-24 06:35 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 06:35:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
call trace and kernel panic log (5.23 KB, application/octet-stream)
2012-03-27 04:10 EDT, FuXiangChun
no flags Details

  None (edit)
Description FuXiangChun 2012-03-27 04:09:23 EDT
Description of problem:
Hotplug vcpus >100 and <=160. sometimes guest show call trace or kernel panic.
Encountered only once kernel panic. 
Version-Release number of selected component (if applicable):

host kernel:
# uname -r
2.6.32-257.el6.x86_64

qemu vesion:
qemu-kvm-0.12.1.2-2.265.el6.x86_64

How reproducible:
sometimes

Steps to Reproduce:
1./usr/libexec/qemu-kvm -M rhel6.3.0 -cpu host --enable-kvm -m 4G -smp 1,maxcpus=161 -name rhel6.3 -uuid ddcbfb49-3411-1701-3c36-6bdbc00bedbb -rtc base=utc,clock=host,driftfix=slew -drive file=/dev/vg-54/lvtest,if=none,id=ide,format=qcow2,cache=none,werror=stop,rerror=stop -device ide-drive,drive=ide,id=drive-ide0-0-0,bootindex=1 -netdev tap,id=hostnet1 -device e1000,netdev=hostnet1,id=net1,mac=86:12:50:a4:32:72 -spice port=5911,disable-ticketing -vga qxl -device sga -chardev socket,id=serial0,path=/var/test1,server,nowait -device isa-serial,chardev=serial0 -balloon virtio -monitor unix:/tmp/monitor2,server,nowait -monitor stdio

2.use below script to hotplug vcpus
i=1
while [ $i -lt 160 ]
do
sleep 1
echo "cpu_set $i online"|nc -U /tmp/monitor2
i=$(($i+1))
done

3.
  
Actual results:
guest call trace or kernel panic 

Expected results:
guest work well and hotplug vcpus successfully

Additional info:

add log to attachment
Comment 1 FuXiangChun 2012-03-27 04:10:13 EDT
Created attachment 572968 [details]
call trace and kernel panic log
Comment 2 FuXiangChun 2012-03-27 04:20:43 EDT
guest information:

rhel6.3 64bit guest

kernel version:
uname -r
2.6.32-251.el6.x86_64
Comment 4 Igor Mammedov 2012-03-27 12:37:38 EDT
Warning is from from bug 805362 it is fixed there.

But panic is something new. Can you reproduce it with:
  virsh setvcpus rhel6guest 160 --live
it is basically the same as script in comment#1
Comment 5 Igor Mammedov 2012-04-16 06:24:13 EDT
FuXiangChun,

Can you reproduce panic with latest qemu-kvm/seabios builds?
Comment 6 FuXiangChun 2012-04-17 06:57:41 EDT
(In reply to comment #5)
> FuXiangChun,
> 
> Can you reproduce panic with latest qemu-kvm/seabios builds?

I will re-test it as soon as possible.
Comment 7 FuXiangChun 2012-04-22 22:31:16 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > FuXiangChun,
> > 
> > Can you reproduce panic with latest qemu-kvm/seabios builds?

Re-tested this bug with qemu-kvm-0.12.1.2-2.282.el6.x86_64 and seabios-0.6.1.2-19.el6.x86_64

testing result:
only get below message from dmesg, hotplug all cpus successfully and guest work well. 
microcode: CPU2: update failed (for patch_level=0x1000083)
microcode: CPU3: update failed (for patch_level=0x1000083)

guest kernel version
uname -r
2.6.32-262.el6.x86_64
Comment 8 Igor Mammedov 2012-04-24 06:35:04 EDT
(In reply to comment #7)
> testing result:
> only get below message from dmesg, hotplug all cpus successfully and guest work
> well. 
according to above closing bug.

> microcode: CPU2: update failed (for patch_level=0x1000083)
> microcode: CPU3: update failed (for patch_level=0x1000083)
It's not supported, it should fail.

> 
> guest kernel version
> uname -r
> 2.6.32-262.el6.x86_64

Note You need to log in before you can comment on or make changes to this bug.